# OrtFlags (onnxruntime 1.15.0 API)

Package ai.onnxruntime.providers

## Interface OrtFlags

All Known Implementing Classes:
  `CoreMLFlags`, `NNAPIFlags`

    public interface OrtFlags

An interface for bitset enums that should be aggregated into a single integer.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`static <E extends java.lang.Enum<E> & OrtFlags> int` `aggregateToInt​(java.util.EnumSet<E> set)` Converts an EnumSet of flags into the value expected by the C API.
`int` `getValue()` Gets the underlying flag value.

### Method Detail

#### getValue

    int getValue()

Gets the underlying flag value.

Returns:
  The flag value.

#### aggregateToInt

    static <E extends java.lang.Enum<E> & OrtFlags> int aggregateToInt​(java.util.EnumSet<E> set)

Converts an EnumSet of flags into the value expected by the C API.

Type Parameters:
  `E` - The enum type to aggregate.
Parameters:
  `set` - The enum set to aggregate the values from.
Returns:
  The aggregated values